/*-----------------------------------------------------------------------------
classify_annots.h

Shyam Prabhakar Feb 24 2004

Classification of annotations by feature name.
-----------------------------------------------------------------------------*/

#include <string.h>

#define is_exon(str)           ( !strcmp(str, "exon") || !strcmp(str, "EXON") )
#define is_utr(str)            ( !strcmp(str, "utr")  || !strcmp(str, "UTR") )
#define is_cds(str)            ( !strcmp(str, "cds")  || !strcmp(str, "CDS") )
#define is_exon_cds(str)       ( is_exon(str) || is_cds(str) )
#define is_exon_cds_utr(str)  ( is_exon(str) || is_cds(str) || is_utr(str) )
