/*-----------------------------------------------------------------------------
coord_map_strucs.h

Shyam Prabhakar Aug 22 2003

Definitions of new data types (structs) for mapping between alignment and
sequence coordinates.
-----------------------------------------------------------------------------*/

#ifndef COORD_MAP_STRUCS
#define COORD_MAP_STRUCS

/* The start coordinates of ungapped alignment segments are mapped
   to sequence coordinates. map_siz therefore equals the number of
   ungapped segments in the alignent of the sequence (plus 2,
   because the first map is always -1 -> -1, and the last map is
   always align_len -> seq_len). */
typedef struct
{

  int map_siz;

  int *algn_coords;
  int *seq_coords;

}  COORD_MAP;

#endif
