/*-----------------------------------------------------------------------------
hit_list.h

Shyam Prabhakar Oct 17 2003
-----------------------------------------------------------------------------*/

#include "scor_strucs.h"
#include "gumb_strucs.h"
#include "hit_strucs.h"
#include "align_strucs.h"
#include "arg_struc.h"

HIT1D *find_1Dhits(ALIGN_SCOR *scor_ptr, ALIGNMENT *algnmnt_ptr, GUMB_STATS gs,
		   ARGS args, int *nhit, char *region);

void prnt_aligned_hits(ALIGNMENT *algnmnt_ptr, HIT1D *hits, int nhit,
		       char *region, FILE *fp, ARGS args);

void prnt_fasta_hits(ALIGNMENT *algnmnt_ptr, HIT1D *hits, int nhit, FILE *fp,
		     ARGS args);

void free_hit_list(HIT1D *list, int nhit);
